Loading...
Searching...
No Matches
casacore::LSQReal Class Reference
scimath package (libcasa_scimath) » Fitting_module

More...

`#include <LSQTraits.h>`

## Private Types

typedef LSQReal | value_type

## Detailed Description

Typing support classes for LSQ classes

### Review Status

Reviewed By:
  Wim Brouw
Date Reviewed:
  2004/04/01
Test programs:
  tLSQFit, tLSQaips

### Synopsis

The following classes are used in detremining the type of iterator presented to the LSQFit class. They are for a large part based on ideas by Alexandrescu(2001), 'Modern C++ design'.

### Example

See LSQFit class, especially the LSQFit2.cc defintion file.

### Motivation

To ease the interface to Fitting (and probably other) classes, by producing a framework that can be used with Casacore containers.

### To Do

- Add more type info if and when needed

Type of real numeric class indicator

Definition at line 63 of file LSQTraits.h.

## Member Typedef Documentation

## value_type

typedef LSQReal casacore::LSQReal::value_type

private

Definition at line 64 of file LSQTraits.h.

The documentation for this class was generated from the following file:

- scimath/Fitting/LSQTraits.h